package com.huimv.environment.controller;

import com.huimv.common.result.Result;
import com.huimv.environment.entity.SttTemperatureEntity;
import com.huimv.environment.entity.SysAccountEntity;
import com.huimv.environment.repo.SttTemperatureEntityRepo;
import com.huimv.environment.session.AccessToken;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.util.Date;
import java.util.Optional;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.environment.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/5/28 0028 8:37
 **/
@RestController
@RequestMapping("/set")
public class SetTemperature {


    @Autowired
    private SttTemperatureEntityRepo sttTemperatureEntityRepo;

    @RequestMapping(value = "/temperature", method = RequestMethod.POST)
    public Result login(HttpSession session,
                             @RequestParam(name = "high_temperature", required = true) String high_temperature,
                             @RequestParam(name = "low_temperature", required = true) String low_temperature,
                             @RequestParam(name = "remark", required = true) String remark,
                             HttpServletRequest req)  {


        Optional<SttTemperatureEntity> byId = sttTemperatureEntityRepo.findById(2);
        byId.get().setHighTemperature(high_temperature);
        byId.get().setLowTemperature(low_temperature);
        byId.get().setRemark(remark);
        byId.get().setUpdata(new Date());
        sttTemperatureEntityRepo.save(byId.get());
        return  new Result(10000,"设置成功", true);
    }
}
